## javax.jbi.management
Class DeploymentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jbi.JBIException
                  javax.jbi.management.DeploymentException

All Implemented Interfaces:
  java.io.Serializable

    public class DeploymentException

extends JBIException

DeploymentException is an exception thrown by the Deployment Service and the Service Unit Manager.

Author:
  JSR208 Expert Group
See Also:
  Serialized Form

Constructor Summary
`DeploymentException(java.lang.String message)` Creates a new instance of DeploymentException with an exception detail message.
`DeploymentException(java.lang.String message, java.lang.Throwable cause)` Creates a new instance of DeploymentException with and exception detail message and a cause.
`DeploymentException(java.lang.Throwable cause)` Creates a new instance of DeploymentException with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeploymentException

    public DeploymentException(java.lang.String message)

  Creates a new instance of DeploymentException with an exception detail message.

  Parameters:
    `message` - the detail message for this exception.

### DeploymentException

    public DeploymentException(java.lang.String message,
                               java.lang.Throwable cause)

  Creates a new instance of DeploymentException with and exception detail message and a cause.

  Parameters:
    `message` - the detail message for this exception.
    `cause` - `Error` or `Exception` which represents the cause of the problem (`null` if none, or if the cause is not known).

### DeploymentException

    public DeploymentException(java.lang.Throwable cause)

  Creates a new instance of DeploymentException with the specified cause.

  Parameters:
    `cause` - `Error` or `Exception` which represents the cause of the problem (`null` if none, or if the cause is not known).

${build-info}

${copyright}